<script lang="ts">
  export let data: Record<string, string>;
</script>

<a
  href="#/"
  class="card">
  <div class="image"><img src={data.image} /></div>
  <div class="content">
    <h4>{data.title}</h4>
    <!-- {data.content} -->
  </div>
</a>

<style lang="postcss">
  .card {
    position: relative;
    display: inline-flex;
    overflow: hidden;
    width: 100%;
    border-radius: var(--radius-2);
    background-color: white;
    box-shadow: rgb(0 0 0 / 18%) 0 2px 4px;
    text-decoration: none;

    &:active {
      transform: scale(0.96);
    }
  }

  .image {
    width: 20%;
  }

  .content {
    width: 80%;
    padding: 10px;
  }
</style>
